Holger's Java API

## com.antelmann.sql
Interface TaggableMapping

All Superinterfaces:
  TransactionRequired

All Known Implementing Classes:
  SortedGroupableSQLStore, TaggableHeaderStore, TaggableMappingImpl, TaggableSQLStore

    public interface TaggableMapping

extends TransactionRequired

allows to access relevant information for Taggable objects

Since:
  25.01.2009, 02:41:02
Author:
  Holger Antelmann
See Also:
  `Taggable`, `TaggableSQLStore`

Method Summary
`void` `deleteTag(String group)` deletes the given tag so that no entry is in the given group anymore
`Set<? extends Keyword>` `getExistingTags()` allows to retrieve all existing tags from the database
`String` `getGroupNameColumn()`
`String` `getTagIdColumn()`
`String` `getTagTable()`
`Class<? extends Keyword>` `getTagType()` returns the type of the tag
`void` `renameTag(String oldName, String newName)` allows to rename all occurrences of a tag name into another

Method Detail

### getTagTable

    String getTagTable()

### getTagIdColumn

    String getTagIdColumn()

### getGroupNameColumn

    String getGroupNameColumn()

### getTagType

    Class<? extends Keyword> getTagType()

  returns the type of the tag

### getExistingTags

    Set<? extends Keyword> getExistingTags()
                                           throws SQLException

  allows to retrieve all existing tags from the database

  Throws:
    `SQLException`

### renameTag

    void renameTag(String oldName,
                   String newName)
                   throws SQLException,
                          NullPointerException

  allows to rename all occurrences of a tag name into another

  Throws:
    `SQLException`
    `NullPointerException`

### deleteTag

    void deleteTag(String group)
                   throws SQLException

  deletes the given tag so that no entry is in the given group anymore

  Throws:
    `SQLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads